<?php
require_once(__DIR__.'/includes/translate.php');
$t = new TunnelTranslate($_GET['lang'] ?: 'fr');
?>

<div class="tunnel-loading">
	<div class="loading"><div></div><div></div><div></div><div></div></div>
	<div class="message"><p><?php $t->e("Chargement de votre séjour."); ?><br/><?php $t->e("Merci de patienter quelques instants."); ?></p></div>
</div>
<div id="tunnelError">
	<p><?php $t->e("Désolé, votre séjour n'est pas disponible !"); ?></p>
</div>
<div id="tunnelStayData" style="display: none;"></div>
<aside class="tunnel-sidebar">
	<div class="clones">
		<li data-clone="orderline"><span class="name"></span> : <span class="price after-euro">0.00</span></li>
	</div>
	<div class="sidebar-button">
		<span><i class="fas fa-list"></i></span>
	</div>

	<section class="info">
		<img class="image" src="" alt="" />
		<h4 class="name"></h4>
		<!-- <h5 class="centre">Domaine Laborde</h5>
		<p>
			+33 (0) 5 53 63 14 88<br/>
			reception@domainelaborde.com
		</p> -->

		<h6><?php $t->e("Dates de votre séjour"); ?></h6>
		<p><?php $t->e("Du"); ?> <span id="begin_date"></span> <?php $t->e("au"); ?> <span id="end_date"></span></p>

		<!-- <h6>Nombre de vacanciers</h6>
		<p><span id="people_amount"></span> personne(s)</p> -->
	</section>

	<section class="pricing-list">
		<ul class="parent-orderline"></ul>
		<ul>
			<li class="secondary"><?php $t->e("Total :"); ?> <span id="sejour_total" class="price after-euro">0.00</span></li>
			<li class="pale"><?php $t->e("Acompte :"); ?> <span id="sejour_deposit" class="price after-euro">0.00</span></li>
			<li class="pale"><?php $t->e("Solde :"); ?> <span id="sejour_balance" class="price after-euro">0.00</span></li>
		</ul>
	</section>
	
	<section class="secure-message" style="margin-top: 30px;">
	    <h6 style="color: #3f4f41;"><?php $t->e("Réservation sécurisée"); ?></h6>
		<p style="margin-bottom: 10px;"><i class="fas fa-lock"></i> <?php $t->e("secure_payment_1"); ?></p>
		<p style="margin-bottom: 10px;"><i class="fas fa-envelope"></i> <?php $t->e("secure_payment_2"); ?></p>
	</section>
</aside>

<section class="tunnel-content">
	<nav class="steplist">
		<ul>
			<li><?php $t->e("Options"); ?></li>
			<li><?php $t->e("Coordonnées"); ?></li>
			<li><?php $t->e("Paiement"); ?></li>
		</ul>
	</nav>
	<div class="clearfix"></div>

	<section id="tunnel-steps">

		<section class="step" data-stepcode="options">
			<div class="clones">
				<div class="form-group" data-clone="supplement">
					<select name="" id="" data-supplement-id="" class="form-control supplement"></select>
					<label for=""><span class="name"></span> <span class="price" style="display: none;"></span></label>
				</div>
				<option value="" data-clone="option"></option>
			</div>
			<form>
				<h3><?php $t->e("Nombre de vacanciers"); ?></h3>
				<div class="form-inline parent-supplements supplements-person"></div>
				<p class="text-danger" id="tunnel_peopleAmountWarning" style="display:none;"><?php $t->e("Vous avez une limite de <span></span> personnes !"); ?></p>

				<h3 class="mt-20"><?php $t->e("Véhicules"); ?></h3>
				<div class="form-inline parent-supplements supplements-vehicle"></div>

				<h3 class="mt-20"><?php $t->e("Autres options"); ?></h3>
				<div class="form-inline parent-supplements supplements-other"></div>

				<h3 class="mt-20"><?php $t->e("Garantie annulation"); ?></h3>
				<div class="form-group">
					<div class="custom-control custom-checkbox">
						<input type="checkbox" class="custom-control-input" id="cancelInsurance">
						<label class="custom-control-label" for="cancelInsurance"><?php $t->e("Je souhaite bénéficier d'une garantie annulation pour <span class=\"cancelInsurancePrice\">0.00</span> €"); ?></label>
					</div>
				</div>

				<!-- Start: Quote stuff -->

				<div id="quoteStuff" class="quote-section" style="display: none;">
					<hr />
					<div class="quote-finalize">
						<h2>Et maintenant, que voulez-vous faire ?</h2>
						<div class="quote-options-container">
							<div class="quote-option">
								<p>Je souhaite sauvegarder mon séjour en PDF pour le conserver !</p>
								<button id="submitQuoteBtn" class="quote-btn">Sauvegarder mon offre...</button>
							</div>
							<!-- <div class="quote-option">
								<p>J'ai fait mon choix, je suis prêt !</p>
								<button>Je réserve maintenant</button>
							</div> -->
						</div>
					</div>
					<hr />
				</div>

        <!-- End: Quote stuff -->

				<div class="form-group mt-20">
					<label for="comment"><?php $t->e("Votre commentaire"); ?></label>
					<textarea name="comment" id="comment" class="form-control" rows="3" placeholder="<?php $t->e("Votre commentaire..."); ?>" data-placeholder-regular="<?php $t->e("Votre commentaire..."); ?>" data-placeholder-pitch="<?php $t->e("Veuillez indiquer ici l'emplacement souhaité !"); ?>"></textarea>
				</div>

				<h3 class="mt-20"><?php $t->e("Conditions générales de vente"); ?></h3>
				<div class="cgv">
					<p><?php $t->e("cgv"); ?></p>
				</div>
				<div class="form-group">
					<div class="custom-control custom-checkbox">
						<input type="checkbox" class="custom-control-input" id="acceptcgv">
						<label class="custom-control-label" for="acceptcgv"><?php $t->e("J'accepte les conditions générales de vente"); ?></label>
					</div>
				</div>
			</form>
		</section>

		<section class="step" data-stepcode="coordonnees">
			<div class="clones">
				<option value="" data-clone="option"></option>
				<div class="friend mt-20" data-clone="friend">
					<p><b><?php $t->e("Vacancier"); ?> #<span class="friend-count"></span> &mdash; <?php $t->e("Nom et date de naissance"); ?></b></p>
					<div class="form-row">
						<div class="col-md-6 friend-firstname">
							<div class="form-group">
								<label for="firstname"><?php $t->e("Prénom"); ?></label>
								<input type="text" name="firstname" id="firstname" class="form-control" required>
								<div class="invalid-feedback"><?php $t->e("Veuillez spécifier le prénom"); ?></div>
							</div>
						</div>
						<div class="col-md-6 friend-lastname">
							<div class="form-group">
								<label for="lastname"><?php $t->e("Nom de famille"); ?></label>
								<input type="text" name="lastname" id="lastname" class="form-control" required>
								<div class="invalid-feedback"><?php $t->e("Veuillez spécifier le nom de famille"); ?></div>
							</div>
						</div>
					</div>
					<div class="form-row">
						<div class="col-md-3 friend-birthday">
							<div class="form-group">
								<label for="birth_day"><?php $t->e("Jour"); ?></label>
								<input type="text" name="birth_day" id="birth_day" class="form-control" min="1" max="31" placeholder="JJ" required>
								<div class="invalid-feedback"><?php $t->e("Veuillez saisir une date valide"); ?></div>
							</div>
						</div>
						<div class="col-md-6 friend-birthmonth">
							<div class="form-group">
								<label for="birth_month"><?php $t->e("Mois"); ?></label>
								<select name="birth_month" id="birth_month" class="form-control" required>
									<option value="" selected>-</option>
									<option value="1"><?php $t->e("Janvier"); ?></option>
									<option value="2"><?php $t->e("Février"); ?></option>
									<option value="3"><?php $t->e("Mars"); ?></option>
									<option value="4"><?php $t->e("Avril"); ?></option>
									<option value="5"><?php $t->e("Mai"); ?></option>
									<option value="6"><?php $t->e("Juin"); ?></option>
									<option value="7"><?php $t->e("Juillet"); ?></option>
									<option value="8"><?php $t->e("Août"); ?></option>
									<option value="9"><?php $t->e("Septembre"); ?></option>
									<option value="10"><?php $t->e("Octobre"); ?></option>
									<option value="11"><?php $t->e("Novembre"); ?></option>
									<option value="12"><?php $t->e("Décembre"); ?></option>
								</select>
								<div class="invalid-feedback"><?php $t->e("Veuillez spécifier votre mois de naissance"); ?></div>
							</div>
						</div>
						<div class="col-md-3 friend-birthyear">
							<div class="form-group">
								<label for="birth_year"><?php $t->e("Année"); ?></label>
								<input type="text" name="birth_year" id="birth_year" class="form-control" min="1900" max="2020" placeholder="AAAA" required>
								<div class="invalid-feedback"><?php $t->e("Veuillez saisir une année valide"); ?></div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<form>
				<h3><?php $t->e("Identité"); ?></h3>
				<div class="form-row">
					<div class="col-md-2">
						<div class="form-group">
							<label for="civility"><?php $t->e("Civilité"); ?></label>
							<select name="civility" id="civility" class="form-control" required>
								<option value="" selected>-</option>
								<option value="Ms.,Mr."><?php $t->e("Mme, Mr"); ?></option>
								<option value="Miss"><?php $t->e("Mademoiselle"); ?></option>
								<option value="Ms."><?php $t->e("Madame"); ?></option>
								<option value="Mr."><?php $t->e("Monsieur"); ?></option>
							</select>
							<div class="invalid-feedback"><?php $t->e("Veuillez spécifier votre civilité"); ?></div>
						</div>
					</div>
					<div class="col-md-5">
						<div class="form-group">
							<label for="firstname"><?php $t->e("Prénom"); ?></label>
							<input type="text" name="firstname" id="firstname" class="form-control" required>
							<div class="invalid-feedback"><?php $t->e("Veuillez spécifier votre prénom"); ?></div>
						</div>
					</div>
					<div class="col-md-5">
						<div class="form-group">
							<label for="lastname"><?php $t->e("Nom de famille"); ?></label>
							<input type="text" name="lastname" id="lastname" class="form-control" required>
							<div class="invalid-feedback"><?php $t->e("Veuillez spécifier votre nom de famille"); ?></div>
						</div>
					</div>
				</div>

				<h3 class="mt-20"><?php $t->e("Date de naissance"); ?></h3>
				<div class="form-row">
					<div class="col-md-3">
						<div class="form-group">
							<label for="birth_day"><?php $t->e("Jour"); ?></label>
							<input type="text" name="birth_day" id="birth_day" class="form-control" min="1" max="31" placeholder="JJ" required>
							<div class="invalid-feedback"><?php $t->e("Veuillez saisir une date valide"); ?></div>
						</div>
					</div>
					<div class="col-md-6">
						<div class="form-group">
							<label for="birth_month"><?php $t->e("Mois"); ?></label>
							<select name="birth_month" id="birth_month" class="form-control" required>
								<option value="" selected>-</option>
								<option value="1"><?php $t->e("Janvier"); ?></option>
								<option value="2"><?php $t->e("Février"); ?></option>
								<option value="3"><?php $t->e("Mars"); ?></option>
								<option value="4"><?php $t->e("Avril"); ?></option>
								<option value="5"><?php $t->e("Mai"); ?></option>
								<option value="6"><?php $t->e("Juin"); ?></option>
								<option value="7"><?php $t->e("Juillet"); ?></option>
								<option value="8"><?php $t->e("Août"); ?></option>
								<option value="9"><?php $t->e("Septembre"); ?></option>
								<option value="10"><?php $t->e("Octobre"); ?></option>
								<option value="11"><?php $t->e("Novembre"); ?></option>
								<option value="12"><?php $t->e("Décembre"); ?></option>
							</select>
							<div class="invalid-feedback"><?php $t->e("Veuillez spécifier votre mois de naissance"); ?></div>
						</div>
					</div>
					<div class="col-md-3">
						<div class="form-group">
							<label for="birth_year"><?php $t->e("Année"); ?></label>
							<input type="text" name="birth_year" id="birth_year" class="form-control" min="1900" max="2020" placeholder="AAAA" required>
							<div class="invalid-feedback"><?php $t->e("Veuillez saisir une année valide"); ?></div>
						</div>
					</div>
				</div>

				<h3 class="mt-20"><?php $t->e("Adresse"); ?></h3>
				<div class="form-row">
					<div class="col-md-12">
						<div class="form-group">
							<label for="address"><?php $t->e("Adresse (numéro, rue, appartement)"); ?></label>
							<input type="text" name="address" id="address" class="form-control" required>
							<div class="invalid-feedback"><?php $t->e("Veuillez spécifier votre adresse"); ?></div>
						</div>
					</div>
				</div>
				<div class="form-row">
					<div class="col-md-4">
						<div class="form-group">
							<label for="zipcode"><?php $t->e("Code postal"); ?></label>
							<input type="text" name="zipcode" id="zipcode" class="form-control" required>
							<div class="invalid-feedback"><?php $t->e("Veuillez spécifier votre code postal"); ?></div>
						</div>
					</div>
					<div class="col-md-4">
						<div class="form-group">
							<label for="city"><?php $t->e("Ville"); ?></label>
							<input type="text" name="city" id="city" class="form-control" required>
							<div class="invalid-feedback"><?php $t->e("Veuillez spécifier votre ville"); ?></div>
						</div>
					</div>
					<div class="col-md-4">
						<div class="form-group">
							<label for="country"><?php $t->e("Pays"); ?></label>
							<select name="country" id="country" class="form-control" required>
								<option value="" selected>-</option>
								<option value="FR" label="<?php $t->e('France'); ?>"><?php $t->e("France"); ?></option>
								<option value="DE" label="<?php $t->e('Allemagne'); ?>"><?php $t->e("Allemagne"); ?></option>
								<option value="BE" label="<?php $t->e('Belgique'); ?>"><?php $t->e("Belgique"); ?></option>
								<option value="DK" label="<?php $t->e('Danemark'); ?>"><?php $t->e("Danemark"); ?></option>
								<option value="ES" label="<?php $t->e('Espagne'); ?>"><?php $t->e("Espagne"); ?></option>
								<option value="IE" label="<?php $t->e('Irlande'); ?>"><?php $t->e("Irlande"); ?></option>
								<option value="IT" label="<?php $t->e('Italie'); ?>"><?php $t->e("Italie"); ?></option>
								<option value="NL" label="<?php $t->e('Pays-Bas'); ?>"><?php $t->e("Pays-Bas"); ?></option>
								<option value="PT" label="<?php $t->e('Portugal'); ?>"><?php $t->e("Portugal"); ?></option>
								<option value="GB" label="<?php $t->e('Royaume-Uni'); ?>"><?php $t->e("Royaume-Uni"); ?></option>
								<option value="CH" label="<?php $t->e('Suisse'); ?>"><?php $t->e("Suisse"); ?></option>
								<option value="AF" label="<?php $t->e('Afghanistan'); ?>"><?php $t->e("Afghanistan"); ?></option>
								<option value="ZA" label="<?php $t->e('Afrique du Sud'); ?>"><?php $t->e("Afrique du Sud"); ?></option>
								<option value="AL" label="<?php $t->e('Albanie'); ?>"><?php $t->e("Albanie"); ?></option>
								<option value="DZ" label="<?php $t->e('Algérie'); ?>"><?php $t->e("Algérie"); ?></option>
								<option value="AD" label="<?php $t->e('Andorre'); ?>"><?php $t->e("Andorre"); ?></option>
								<option value="AN" label="<?php $t->e('Antilles néerlandaises'); ?>"><?php $t->e("Antilles néerlandaises"); ?></option>
								<option value="SA" label="<?php $t->e('Arabie saoudite'); ?>"><?php $t->e("Arabie saoudite"); ?></option>
								<option value="AR" label="<?php $t->e('Argentine'); ?>"><?php $t->e("Argentine"); ?></option>
								<option value="AM" label="<?php $t->e('Arménie'); ?>"><?php $t->e("Arménie"); ?></option>
								<option value="AU" label="<?php $t->e('Australie'); ?>"><?php $t->e("Australie"); ?></option>
								<option value="AT" label="<?php $t->e('Autriche'); ?>"><?php $t->e("Autriche"); ?></option>
								<option value="AZ" label="<?php $t->e('Azerbaïdjan'); ?>"><?php $t->e("Azerbaïdjan"); ?></option>
								<option value="MM" label="<?php $t->e('Birmanie'); ?>"><?php $t->e("Birmanie"); ?></option>
								<option value="BO" label="<?php $t->e('Bolivie'); ?>"><?php $t->e("Bolivie"); ?></option>
								<option value="BA" label="<?php $t->e('Bosnie-Herzégovine'); ?>"><?php $t->e("Bosnie-Herzégovine"); ?></option>
								<option value="BR" label="<?php $t->e('Brésil'); ?>"><?php $t->e("Brésil"); ?></option>
								<option value="BG" label="<?php $t->e('Bulgarie'); ?>"><?php $t->e("Bulgarie"); ?></option>
								<option value="KH" label="<?php $t->e('Cambodge'); ?>"><?php $t->e("Cambodge"); ?></option>
								<option value="CM" label="<?php $t->e('Cameroun'); ?>"><?php $t->e("Cameroun"); ?></option>
								<option value="CA" label="<?php $t->e('Canada'); ?>"><?php $t->e("Canada"); ?></option>
								<option value="CV" label="<?php $t->e('Cap-Vert'); ?>"><?php $t->e("Cap-Vert"); ?></option>
								<option value="CL" label="<?php $t->e('Chili'); ?>"><?php $t->e("Chili"); ?></option>
								<option value="CN" label="<?php $t->e('Chine'); ?>"><?php $t->e("Chine"); ?></option>
								<option value="CY" label="<?php $t->e('Chypre'); ?>"><?php $t->e("Chypre"); ?></option>
								<option value="CO" label="<?php $t->e('Colombie'); ?>"><?php $t->e("Colombie"); ?></option>
								<option value="CG" label="<?php $t->e('Congo'); ?>"><?php $t->e("Congo"); ?></option>
								<option value="KP" label="<?php $t->e('Corée du Nord'); ?>"><?php $t->e("Corée du Nord"); ?></option>
								<option value="KR" label="<?php $t->e('Corée du Sud'); ?>"><?php $t->e("Corée du Sud"); ?></option>
								<option value="CR" label="<?php $t->e('Costa Rica'); ?>"><?php $t->e("Costa Rica"); ?></option>
								<option value="CI" label="<?php $t->e('Côte d\'Ivoire'); ?>"><?php $t->e("Côte d'Ivoire"); ?></option>
								<option value="HR" label="<?php $t->e('Croatie'); ?>"><?php $t->e("Croatie"); ?></option>
								<option value="CU" label="<?php $t->e('Cuba'); ?>"><?php $t->e("Cuba"); ?></option>
								<option value="DJ" label="<?php $t->e('Djibouti'); ?>"><?php $t->e("Djibouti"); ?></option>
								<option value="EG" label="<?php $t->e('Égypte'); ?>"><?php $t->e("Égypte"); ?></option>
								<option value="AE" label="<?php $t->e('Émirats arabes unis'); ?>"><?php $t->e("Émirats arabes unis"); ?></option>
								<option value="EC" label="<?php $t->e('Équateur'); ?>"><?php $t->e("Équateur"); ?></option>
								<option value="EE" label="<?php $t->e('Estonie'); ?>"><?php $t->e("Estonie"); ?></option>
								<option value="US" label="<?php $t->e('États-Unis'); ?>"><?php $t->e("États-Unis"); ?></option>
								<option value="ET" label="<?php $t->e('Éthiopie'); ?>"><?php $t->e("Éthiopie"); ?></option>
								<option value="FI" label="<?php $t->e('Finlande'); ?>"><?php $t->e("Finlande"); ?></option>
								<option value="GA" label="<?php $t->e('Gabon'); ?>"><?php $t->e("Gabon"); ?></option>
								<option value="GE" label="<?php $t->e('Géorgie'); ?>"><?php $t->e("Géorgie"); ?></option>
								<option value="GH" label="<?php $t->e('Ghana'); ?>"><?php $t->e("Ghana"); ?></option>
								<option value="GI" label="<?php $t->e('Gibraltar'); ?>"><?php $t->e("Gibraltar"); ?></option>
								<option value="GR" label="<?php $t->e('Grèce'); ?>"><?php $t->e("Grèce"); ?></option>
								<option value="GP" label="<?php $t->e('Guadeloupe'); ?>"><?php $t->e("Guadeloupe"); ?></option>
								<option value="GT" label="<?php $t->e('Guatemala'); ?>"><?php $t->e("Guatemala"); ?></option>
								<option value="GN" label="<?php $t->e('Guinée'); ?>"><?php $t->e("Guinée"); ?></option>
								<option value="GQ" label="<?php $t->e('Guinée équatoriale'); ?>"><?php $t->e("Guinée équatoriale"); ?></option>
								<option value="GF" label="<?php $t->e('Guyane française'); ?>"><?php $t->e("Guyane française"); ?></option>
								<option value="HT" label="<?php $t->e('Haïti'); ?>"><?php $t->e("Haïti"); ?></option>
								<option value="HN" label="<?php $t->e('Honduras'); ?>"><?php $t->e("Honduras"); ?></option>
								<option value="HK" label="<?php $t->e('Hong Kong'); ?>"><?php $t->e("Hong Kong"); ?></option>
								<option value="HU" label="<?php $t->e('Hongrie'); ?>"><?php $t->e("Hongrie"); ?></option>
								<option value="FJ" label="<?php $t->e('Iles Fidji'); ?>"><?php $t->e("Iles Fidji"); ?></option>
								<option value="IN" label="<?php $t->e('Inde'); ?>"><?php $t->e("Inde"); ?></option>
								<option value="ID" label="<?php $t->e('Indonésie'); ?>"><?php $t->e("Indonésie"); ?></option>
								<option value="IR" label="<?php $t->e('Iran'); ?>"><?php $t->e("Iran"); ?></option>
								<option value="IQ" label="<?php $t->e('Iraq'); ?>"><?php $t->e("Iraq"); ?></option>
								<option value="IS" label="<?php $t->e('Islande'); ?>"><?php $t->e("Islande"); ?></option>
								<option value="IL" label="<?php $t->e('Israël'); ?>"><?php $t->e("Israël"); ?></option>
								<option value="JM" label="<?php $t->e('Jamaïque'); ?>"><?php $t->e("Jamaïque"); ?></option>
								<option value="JP" label="<?php $t->e('Japon'); ?>"><?php $t->e("Japon"); ?></option>
								<option value="JO" label="<?php $t->e('Jordanie'); ?>"><?php $t->e("Jordanie"); ?></option>
								<option value="KZ" label="<?php $t->e('Kazakhstan'); ?>"><?php $t->e("Kazakhstan"); ?></option>
								<option value="KE" label="<?php $t->e('Kenya'); ?>"><?php $t->e("Kenya"); ?></option>
								<option value="KW" label="<?php $t->e('Koweït'); ?>"><?php $t->e("Koweït"); ?></option>
								<option value="LA" label="<?php $t->e('Laos'); ?>"><?php $t->e("Laos"); ?></option>
								<option value="LV" label="<?php $t->e('Lettonie'); ?>"><?php $t->e("Lettonie"); ?></option>
								<option value="LB" label="<?php $t->e('Liban'); ?>"><?php $t->e("Liban"); ?></option>
								<option value="LY" label="<?php $t->e('Libye'); ?>"><?php $t->e("Libye"); ?></option>
								<option value="LI" label="<?php $t->e('Liechtenstein'); ?>"><?php $t->e("Liechtenstein"); ?></option>
								<option value="LT" label="<?php $t->e('Lituanie'); ?>"><?php $t->e("Lituanie"); ?></option>
								<option value="LU" label="<?php $t->e('Luxembourg'); ?>"><?php $t->e("Luxembourg"); ?></option>
								<option value="MG" label="<?php $t->e('Madagascar'); ?>"><?php $t->e("Madagascar"); ?></option>
								<option value="MV" label="<?php $t->e('Maldives'); ?>"><?php $t->e("Maldives"); ?></option>
								<option value="ML" label="<?php $t->e('Mali'); ?>"><?php $t->e("Mali"); ?></option>
								<option value="MT" label="<?php $t->e('Malte'); ?>"><?php $t->e("Malte"); ?></option>
								<option value="MA" label="<?php $t->e('Maroc'); ?>"><?php $t->e("Maroc"); ?></option>
								<option value="MQ" label="<?php $t->e('Martinique'); ?>"><?php $t->e("Martinique"); ?></option>
								<option value="MU" label="<?php $t->e('Maurice'); ?>"><?php $t->e("Maurice"); ?></option>
								<option value="MR" label="<?php $t->e('Mauritanie'); ?>"><?php $t->e("Mauritanie"); ?></option>
								<option value="MX" label="<?php $t->e('Mexique'); ?>"><?php $t->e("Mexique"); ?></option>
								<option value="MD" label="<?php $t->e('Moldavie'); ?>"><?php $t->e("Moldavie"); ?></option>
								<option value="MN" label="<?php $t->e('Mongolie'); ?>"><?php $t->e("Mongolie"); ?></option>
								<option value="MZ" label="<?php $t->e('Mozambique'); ?>"><?php $t->e("Mozambique"); ?></option>
								<option value="NA" label="<?php $t->e('Namibie'); ?>"><?php $t->e("Namibie"); ?></option>
								<option value="NP" label="<?php $t->e('Népal'); ?>"><?php $t->e("Népal"); ?></option>
								<option value="NI" label="<?php $t->e('Nicaragua'); ?>"><?php $t->e("Nicaragua"); ?></option>
								<option value="NE" label="<?php $t->e('Niger'); ?>"><?php $t->e("Niger"); ?></option>
								<option value="NG" label="<?php $t->e('Nigeria'); ?>"><?php $t->e("Nigeria"); ?></option>
								<option value="NO" label="<?php $t->e('Norvège'); ?>"><?php $t->e("Norvège"); ?></option>
								<option value="NC" label="<?php $t->e('Nouvelle-Calédonie'); ?>"><?php $t->e("Nouvelle-Calédonie"); ?></option>
								<option value="NZ" label="<?php $t->e('Nouvelle-Zélande'); ?>"><?php $t->e("Nouvelle-Zélande"); ?></option>
								<option value="UG" label="<?php $t->e('Ouganda'); ?>"><?php $t->e("Ouganda"); ?></option>
								<option value="UZ" label="<?php $t->e('Ouzbékistan'); ?>"><?php $t->e("Ouzbékistan"); ?></option>
								<option value="PK" label="<?php $t->e('Pakistan'); ?>"><?php $t->e("Pakistan"); ?></option>
								<option value="PA" label="<?php $t->e('Panama'); ?>"><?php $t->e("Panama"); ?></option>
								<option value="PY" label="<?php $t->e('Paraguay'); ?>"><?php $t->e("Paraguay"); ?></option>
								<option value="PE" label="<?php $t->e('Pérou'); ?>"><?php $t->e("Pérou"); ?></option>
								<option value="PH" label="<?php $t->e('Philippines'); ?>"><?php $t->e("Philippines"); ?></option>
								<option value="PL" label="<?php $t->e('Pologne'); ?>"><?php $t->e("Pologne"); ?></option>
								<option value="PF" label="<?php $t->e('Polynésie française'); ?>"><?php $t->e("Polynésie française"); ?></option>
								<option value="PR" label="<?php $t->e('Porto Rico'); ?>"><?php $t->e("Porto Rico"); ?></option>
								<option value="CF" label="<?php $t->e('République centrafricaine'); ?>"><?php $t->e("République centrafricaine"); ?></option>
								<option value="CD" label="<?php $t->e('République démocratique du Congo'); ?>"><?php $t->e("République démocratique du Congo"); ?></option>
								<option value="DO" label="<?php $t->e('République dominicaine'); ?>"><?php $t->e("République dominicaine"); ?></option>
								<option value="CZ" label="<?php $t->e('République tchèque'); ?>"><?php $t->e("République tchèque"); ?></option>
								<option value="RE" label="<?php $t->e('Réunion'); ?>"><?php $t->e("Réunion"); ?></option>
								<option value="RO" label="<?php $t->e('Roumanie'); ?>"><?php $t->e("Roumanie"); ?></option>
								<option value="RU" label="<?php $t->e('Russie'); ?>"><?php $t->e("Russie"); ?></option>
								<option value="RW" label="<?php $t->e('Rwanda'); ?>"><?php $t->e("Rwanda"); ?></option>
								<option value="SN" label="<?php $t->e('Sénégal'); ?>"><?php $t->e("Sénégal"); ?></option>
								<option value="SC" label="<?php $t->e('Seychelles'); ?>"><?php $t->e("Seychelles"); ?></option>
								<option value="SL" label="<?php $t->e('Sierra Leone'); ?>"><?php $t->e("Sierra Leone"); ?></option>
								<option value="SG" label="<?php $t->e('Singapour'); ?>"><?php $t->e("Singapour"); ?></option>
								<option value="SK" label="<?php $t->e('Slovaquie'); ?>"><?php $t->e("Slovaquie"); ?></option>
								<option value="SI" label="<?php $t->e('Slovénie'); ?>"><?php $t->e("Slovénie"); ?></option>
								<option value="SO" label="<?php $t->e('Somalie'); ?>"><?php $t->e("Somalie"); ?></option>
								<option value="SD" label="<?php $t->e('Soudan'); ?>"><?php $t->e("Soudan"); ?></option>
								<option value="LK" label="<?php $t->e('Sri Lanka'); ?>"><?php $t->e("Sri Lanka"); ?></option>
								<option value="SE" label="<?php $t->e('Suède'); ?>"><?php $t->e("Suède"); ?></option>
								<option value="SR" label="<?php $t->e('Suriname'); ?>"><?php $t->e("Suriname"); ?></option>
								<option value="SY" label="<?php $t->e('Syrie'); ?>"><?php $t->e("Syrie"); ?></option>
								<option value="TJ" label="<?php $t->e('Tadjikistan'); ?>"><?php $t->e("Tadjikistan"); ?></option>
								<option value="TW" label="<?php $t->e('Taïwan'); ?>"><?php $t->e("Taïwan"); ?></option>
								<option value="TZ" label="<?php $t->e('Tanzanie'); ?>"><?php $t->e("Tanzanie"); ?></option>
								<option value="TD" label="<?php $t->e('Tchad'); ?>"><?php $t->e("Tchad"); ?></option>
								<option value="TH" label="<?php $t->e('Thaïlande'); ?>"><?php $t->e("Thaïlande"); ?></option>
								<option value="TG" label="<?php $t->e('Togo'); ?>"><?php $t->e("Togo"); ?></option>
								<option value="TO" label="<?php $t->e('Tonga'); ?>"><?php $t->e("Tonga"); ?></option>
								<option value="TN" label="<?php $t->e('Tunisie'); ?>"><?php $t->e("Tunisie"); ?></option>
								<option value="TR" label="<?php $t->e('Turquie'); ?>"><?php $t->e("Turquie"); ?></option>
								<option value="UA" label="<?php $t->e('Ukraine'); ?>"><?php $t->e("Ukraine"); ?></option>
								<option value="UY" label="<?php $t->e('Uruguay'); ?>"><?php $t->e("Uruguay"); ?></option>
								<option value="VE" label="<?php $t->e('Venezuela'); ?>"><?php $t->e("Venezuela"); ?></option>
								<option value="VN" label="<?php $t->e('Viêt Nam'); ?>"><?php $t->e("Viêt Nam"); ?></option>
								<option value="YE" label="<?php $t->e('Yémen'); ?>"><?php $t->e("Yémen"); ?></option>
								<option value="ZM" label="<?php $t->e('Zambie'); ?>"><?php $t->e("Zambie"); ?></option>
								<option value="ZW" label="<?php $t->e('Zimbabwe'); ?>"><?php $t->e("Zimbabwe"); ?></option>
							</select>
							<div class="invalid-feedback"><?php $t->e("Veuillez spécifier votre pays"); ?></div>
						</div>
					</div>
				</div>

				<h3 class="mt-20"><?php $t->e("Contact"); ?></h3>
				<div class="form-row">
					<div class="col-md-6">
						<div class="form-group">
							<label for="email"><?php $t->e("Email"); ?></label>
							<input type="text" name="email" id="email" class="form-control" required />
							<div class="invalid-feedback"><?php $t->e("Veuillez saisir votre email"); ?></div>
						</div>
					</div>
					<div class="col-md-6">
						<div class="form-group">
							<label for="phone"><?php $t->e("Téléphone"); ?></label>
							<input type="text" name="phone" id="phone" class="form-control" required />
							<div class="invalid-feedback"><?php $t->e("Veuillez saisir votre téléphone"); ?></div>
						</div>
					</div>
				</div>

				<div class="form-row mt-20">
					<div class="col-md-12">
						<div class="form-group">
							<label for="channel"><?php $t->e("Comment nous avez-vous connu ?"); ?></label>
							<select name="channel" id="channel" class="form-control parent-channels" required>
								<option value="" selected>-</option>
							</select>
							<div class="invalid-feedback"><?php $t->e("Veuillez spécifier votre civilité"); ?></div>
						</div>
					</div>
				</div>

				<div class="tunnel-friends" style="display:none;">
					<h3 class="mt-20"><?php $t->e("Qui vous accompagne ?"); ?></h3>
					<div class="friends-container"></div>
				</div>
			</form>
		</section>

		<section class="step" data-stepcode="payment">
			<div class="clones">
				<div class="form-group" data-clone="paymentMethod">
					<div class="custom-control custom-radio">
						<input type="radio" class="custom-control-input" id="payment_method_0" name="paymentMethod" required>
						<label class="custom-control-label" for="payment_method_0"><span class="name"></span></label>
					</div>
				</div>
				<div class="form-check form-check-inline" data-clone="paymentCardRadio">
					<input type="radio" name="card_type" id="card_type_" class="form-check-input" value="" />
					<label class="form-check-label" for="card_type_"><img src="" alt="" /></label>
				</div>
			</div>
			<form>
				<h3><?php $t->e("Mode de paiement"); ?></h3>
				<div class="form-row">
					<div class="col-md-12 parent-payment-methods"></div>
				</div>

				<section class="payment-info-type-card">
					<h3 class="mt-20"><?php $t->e("Coordonnées de paiement"); ?></h3>
					<div class="form-row mb-10">
						<div class="col-md-12 parent-payment-card-types"></div>
					</div>
					<div class="form-row">
						<div class="col-12">
							<div class="form-check form-check-inline">
								<input type="radio" name="card_type" id="card_type_VI" class="form-check-input" value="VI" />
								<label class="form-check-label" for="card_type_VI"><img src="https://domainelaborde.com/assets/tunnel/assets/img/card_VI.png" alt="VISA" /></label>
							</div>
							<div class="form-check form-check-inline">
								<input type="radio" name="card_type" id="card_type_MC" class="form-check-input" value="MC" />
								<label class="form-check-label" for="card_type_MC"><img src="https://domainelaborde.com/assets/tunnel/assets/img/card_MC.png" alt="Mastercard" /></label>
							</div>
							<div class="form-check form-check-inline">
								<input type="radio" name="card_type" id="card_type_BL" class="form-check-input" value="BL" />
								<label class="form-check-label" for="card_type_BL"><img src="https://domainelaborde.com/assets/tunnel/assets/img/card_BL.png" alt="Carte Bleue" /></label>
							</div>
							<div class="form-check form-check-inline">
								<input type="radio" name="card_type" id="card_type_EC" class="form-check-input" value="EC" />
								<label class="form-check-label" for="card_type_EC"><img src="https://domainelaborde.com/assets/tunnel/assets/img/card_EC.png" alt="Eurocard" /></label>
							</div>
						</div>
					</div>
					<div class="form-row">
						<div class="col-md-6">
							<div class="form-group">
								<label for="card_number"><?php $t->e("Numéro de la carte"); ?></label>
								<input type="text" name="card_number" id="card_number" class="form-control" data-inputmask="'mask': '9999 9999 9999 9999'" required>
							</div>
						</div>
						<div class="col-md-4">
							<div class="form-group">
								<label for="card_expire"><?php $t->e("Date d'expiration (MM/YY)"); ?></label>
								<input type="text" name="card_expire" id="card_expire" class="form-control" data-inputmask="'mask': '99/99'" required>
							</div>
						</div>
						<div class="col-md-2">
							<div class="form-group">
								<label for="card_cvv"><?php $t->e("CVV"); ?> <span class="about-cvv"><i class="fas fa-info-circle"></i>
									<div class="about-cvv-tooltip">
										<?php $t->e("Le CVV est le code à trois chiffres que vous retrouverez derrière votre carte :"); ?><br/><img src="https://images.unsplash.com/photo-1563013544-824ae1b704d3?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1350&q=80" height="60" />
									</div>
								</span></label>
								<input type="text" name="card_cvv" id="card_cvv" class="form-control" data-inputmask="'mask': '999'" required>
							</div>
						</div>
					</div>
				</section>
			</form>
		</section>

	</section>

	<nav class="stepnav">
		<ul>
			<li class="previous"><i class="fas fa-angle-left"></i> <?php $t->e("Précédent"); ?></li>
			<li class="next"><?php $t->e("Suivant"); ?> <i class="fas fa-angle-right"></i></li>
		</ul>
	</nav>
	<div class="clearfix"></div>
</section>