<?php
require_once(__DIR__.'/includes/translate.php');
$t = new TunnelTranslate($_GET['lang'] ?: 'fr');
?>

<div class="tunnel-loading">
	<div class="loading"><div></div><div></div><div></div><div></div></div>
	<div class="message"><p><?php $t->e("Chargement de votre séjour."); ?><br/><?php $t->e("Merci de patienter quelques instants."); ?></p></div>
</div>
<div id="tunnelError">
	<p><?php $t->e("Désolé, votre séjour n'est pas disponible !"); ?></p>
</div>
<div id="tunnelStayData" style="display: none;"></div>
<aside class="tunnel-sidebar">
	<div class="clones">
		<li data-clone="orderline"><span class="name"></span> : <span class="price after-euro">0.00</span></li>
	</div>
	<div class="sidebar-button">
		<span><i class="fas fa-list"></i></span>
	</div>

	<section class="info">
		<img class="image" src="" alt="" />
		<h4 class="name"></h4>
		<!-- <h5 class="centre">Domaine Laborde</h5>
		<p>
			+33 (0) 5 53 63 14 88<br/>
			reception@domainelaborde.com
		</p> -->

		<h6><?php $t->e("Dates de votre séjour"); ?></h6>
		<p><?php $t->e("Du"); ?> <span id="begin_date"></span> <?php $t->e("au"); ?> <span id="end_date"></span></p>

		<!-- <h6>Nombre de vacanciers</h6>
		<p><span id="people_amount"></span> personne(s)</p> -->
	</section>

	<section class="pricing-list">
		<ul class="parent-orderline"></ul>
		<ul>
			<li class="secondary"><?php $t->e("Total :"); ?> <span id="sejour_total" class="price after-euro">0.00</span></li>
			<li class="pale"><?php $t->e("Acompte :"); ?> <span id="sejour_deposit" class="price after-euro">0.00</span></li>
			<li class="pale"><?php $t->e("Solde :"); ?> <span id="sejour_balance" class="price after-euro">0.00</span></li>
		</ul>
	</section>
	
	<section class="secure-message" style="margin-top: 30px;">
	    <h6 style="color: #3f4f41;"><?php $t->e("Réservation sécurisée"); ?></h6>
		<p style="margin-bottom: 10px;"><i class="fas fa-lock"></i> <?php $t->e("secure_payment_1"); ?></p>
		<p style="margin-bottom: 10px;"><i class="fas fa-envelope"></i> <?php $t->e("secure_payment_2"); ?></p>
	</section>
</aside>

<section class="tunnel-content">
	<nav class="steplist">
		<ul>
			<li><?php $t->e("Choisissez vos options"); ?></li>
		</ul>
	</nav>
	<div class="clearfix"></div>

	<section id="tunnel-steps">

		<section class="step" data-stepcode="options">
			<div class="clones">
				<div class="form-group" data-clone="supplement">
					<select name="" id="" data-supplement-id="" class="form-control supplement"></select>
					<label for=""><span class="name"></span> <span class="price" style="display: none;"></span></label>
				</div>
				<option value="" data-clone="option"></option>
			</div>
			<form>
				<h3><?php $t->e("Nombre de vacanciers"); ?></h3>
				<div class="form-inline parent-supplements supplements-person"></div>
				<p class="text-danger" id="tunnel_peopleAmountWarning" style="display:none;"><?php $t->e("Vous avez une limite de <span></span> personnes !"); ?></p>

				<h3 class="mt-20"><?php $t->e("Véhicules"); ?></h3>
				<div class="form-inline parent-supplements supplements-vehicle"></div>

				<h3 class="mt-20"><?php $t->e("Autres options"); ?></h3>
				<div class="form-inline parent-supplements supplements-other"></div>

				<h3 class="mt-20"><?php $t->e("Garantie annulation"); ?></h3>
				<div class="form-group">
					<div class="custom-control custom-checkbox">
						<input type="checkbox" class="custom-control-input" id="cancelInsurance">
						<label class="custom-control-label" for="cancelInsurance"><?php $t->e("Je souhaite bénéficier d'une garantie annulation pour <span class=\"cancelInsurancePrice\">0.00</span> €"); ?></label>
					</div>
				</div>

        <!-- Start: Quote stuff -->

        <hr />
        <div class="quote-finalize">
          <h2>Et maintenant, que voulez-vous faire ?</h2>
          <div class="quote-options-container">
            <div class="quote-option">
              <p>Je souhaite sauvegarder mon séjour en PDF pour le conserver !</p>
              <button>Sauvegarder</button>
            </div>
            <div class="quote-option">
              <p>J'ai fait mon choix, je suis prêt !</p>
              <button>Je réserve maintenant</button>
            </div>
          </div>
        </div>

        <!-- End: Quote stuff -->
			</form>
		</section>
	</section>
</section>