<?php
class TunnelTranslate {
	private $lang;
	private $translate = array();

	public function __construct($lang = 'fr') {
		$this->lang = $lang;
		$this->load();
	}

	private function startsWith($haystack, $needle) {
		$length = strlen($needle);
		return (substr($haystack, 0, $length) === $needle);
	}

	private function endsWith($haystack, $needle) {
		$length = strlen($needle);
		if ($length == 0) return true;

		return (substr($haystack, -$length) === $needle);
	}

	private function load() {
		$values = [];
		$dir = __DIR__.'/lang';
		$files = scandir($dir);
		
		foreach($files as $file) {
			$_file = $dir.'/'.$file;
			if(!$this->endsWith($file, '.php')) continue;
			if(!file_exists($_file)) continue;

			$title = str_replace('.php', '', $file);
			$value = include $_file;
			$values[$title] = $value;
		}

		$this->translate = $values;
		return $values;
	}

	public function e($str) {
		echo isset($this->translate[$this->lang][$str]) ? $this->translate[$this->lang][$str] : $str;
	}

	public function r($str) {
		return isset($this->translate[$this->lang][$str]) ? $this->translate[$this->lang][$str] : $str;
	}
}
?>