//$.getScript('popper.min.js');
//$.getScript('bootstrap.min.js');
const theUrl = "https://www.domainelaborde.com/fr/";
const assetsUrl = "https://www.domainelaborde.com/assets/";

/**
 * Returns the text from a HTML string
 *
 * @param {html} String The html string
 */
function stripHtml(html) {
  // Create a new div element
  var temporalDivElement = document.createElement("div");
  // Set the HTML content with the providen
  temporalDivElement.innerHTML = html;
  // Retrieve the text property of the element (cross-browser support)
  return temporalDivElement.textContent || temporalDivElement.innerText || "";
}

$("#tunnel").load(
  "https://www.domainelaborde.com/assets/tunnel/ajax/filecontent.php?lang=" +
    tunnel_getLanguage(),
  function () {
    const tunnel = $(this);
    var step_options = $('.step[data-stepcode="options"]', tunnel).first();
    var step_coords = $('.step[data-stepcode="coordonnees"]', tunnel).first();

    setTimeout(function () {
      $('[data-toggle="tooltip"]').tooltip();
    }, 100);

    /**
     *
     *	Sidebar toggle
     *
     */
    $(".sidebar-button", tunnel).on("click", function () {
      tunnel_toggleSidebar();
    });
    $("select.form-control", step_options)
      .on("click", function () {
        var p = $(this).parents(".supplements-person").first();
        if (p.length > 0) {
          $(this).data("old-value", $(this).val());
        }
      })
      .on("input", function (e) {
        var p = $(this).parents(".supplements-person").first();
        if (p.length > 0) {
          var step_options = $(
            '.step[data-stepcode="options"]',
            tunnel
          ).first();

          var oldValue = $(this).data("old-value");
          var newValue = $(this).val();

          var total = tunnel_getPeopleAmount();
          if (total > stayData.personmax) {
            $(this).val(oldValue);
            $("#tunnel_peopleAmountWarning span", step_options)
              .first()
              .text(stayData.personmax);
            $("#tunnel_peopleAmountWarning", step_options).show();
          } else {
            $("#tunnel_peopleAmountWarning", step_options).hide();
          }
        }
      });

    /**
     *
     *	Form element change
     *
     */
    $(".form-control", step_options).on("change", function () {
      tunnel_updateSidebarPricingDetails();

      // UN SEUL BRANCHEMENT AUTORISÉ
      if ($(this).hasClass("supplement")) {
        var _ids = [8, 9, 10];
        var _id = parseInt($(this).prop("data-supplement-id"));

        if (_ids.includes(_id)) {
          var _val = $(this).val();

          if (_val > 0) {
            for (var i in _ids) {
              if (_ids[i] == _id) continue;
              var _element = $(
                "select#tunnel_supplement_" + _ids[i],
                step_options
              ).first();
              _element.prop("disabled", true);
            }
          } else {
            for (var i in _ids) {
              var _element = $(
                "select#tunnel_supplement_" + _ids[i],
                step_options
              ).first();
              _element.prop("disabled", false);
            }
          }
        }
      }

      // CHOIX DE L'EMPLACEMENT
      if ($(this).hasClass("supplement")) {
        var _ids = [115, 112];
        var _id = parseInt($(this).prop("data-supplement-id"));

        if (_ids.includes(_id)) {
          console.log("CHOIX DE L'EMPLACEMENT!", $(this));
          var _val = $(this).val();

          var _field = $("#comment", step_options).first();
          var ph_regular = _field.data("placeholder-regular");
          var ph_pitch = _field.data("placeholder-pitch");

          if (_val > 0) {
            //_field.prop('required', true);
            _field.prop("placeholder", ph_pitch);
            $(".isCaptionFor_" + _id).show();
          } else {
            //_field.prop('required', false);
            _field.prop("placeholder", ph_regular);
            $(".isCaptionFor_" + _id).hide();
          }
        }
      }

      if ($(this).parents(".supplements-person").length > 0) {
        tunnel_updateFriendsForm();
      }
    });
    $(".custom-control-input:not(#acceptcgv)", step_options).on(
      "change",
      function () {
        tunnel_updateSidebarPricingDetails();
      }
    );

    /**
     *
     *	Form submit
     *
     */
    $(".step form", tunnel).on("submit", function (e) {
      e.preventDefault();
      if ($("body").data("changestep") !== "true") tunnel_changeStep(true);
    });

    /**
     *
     *	Stepnav - next
     *
     */
    $(".stepnav .next", tunnel).on("click", function () {
      if ($("body").data("changestep") !== "true") tunnel_changeStep(true);
    });

    /**
     *
     *	Stepnav - previous
     *
     */
    $(".stepnav .previous", tunnel).on("click", function () {
      if ($("body").data("changestep") !== "true") tunnel_changeStep(false);
    });

    /**
     *
     *	Steplist click
     *
     */
    $(".steplist li", tunnel).on("click", function (e) {
      e.preventDefault();
      if ($("body").data("changestep") !== "true")
        tunnel_goStep($(this).data("step"));
    });

    /**
     *
     *	Accept CGV check
     *
     */
    $("input#acceptcgv", tunnel).on("input", function () {
      if ($(this).is(":checked")) {
        $(this).removeClass("is-invalid");
        if ($("body").data("changestep") !== "true") tunnel_changeStep(true);
      }
    });

    /**
     *
     *	About CVV tooltip
     *
     */
    $(".about-cvv")
      .on("mouseover", function () {
        $(".about-cvv-tooltip", this).show();
      })
      .on("mouseout", function () {
        $(".about-cvv-tooltip", this).hide();
      });

    /**
     * Get the number of days in any particular month
     * @link https://stackoverflow.com/a/1433119/1293256
     * @param  {integer} m The month (valid: 0-11)
     * @param  {integer} y The year
     * @return {integer}   The number of days in the month
     */
    var daysInMonth = function (m, y) {
      switch (m) {
        case 1:
          return (y % 4 == 0 && y % 100) || y % 400 == 0 ? 29 : 28;
        case 8:
        case 3:
        case 5:
        case 10:
          return 30;
        default:
          return 31;
      }
    };

    $("input", step_coords).on("change focusout", function () {
      var name = $(this).prop("name");
      var value = $(this).val();
      var valid = true;
      switch (name) {
        case "civility":
          if (value.length < 1) valid = false;
          break;

        case "birth_year":
          value = parseInt(value);
          if (isNaN(value)) value = 0;
          var actual_year = new Date();
          actual_year = actual_year.getFullYear();
          if (value < 1900 || value > actual_year) valid = false;
          break;

        case "birth_month":
          if (value.length < 1) valid = false;
          break;

        case "birth_day":
          value = parseInt(value);
          if (isNaN(value)) value = 0;
          if (value < 1 || value > 31) valid = false;
          break;

        case "country":
          if (value.length !== 2) valid = false;
          break;

        case "email":
          if (!isValidEmail(value)) valid = false;
          break;

        case "phone":
          if (value.length < 8) valid = false;
          break;

        default:
          if (value.length < 2) valid = false;
          break;
      }

      if (valid) {
        $(this).removeClass("is-invalid");
        $(this).addClass("is-valid");
      } else {
        $(this).removeClass("is-valid");
        $(this).addClass("is-invalid");
      }

      var dateFields = ["birth_day", "birth_month", "birth_year"];
      if (dateFields.includes(name)) {
        var b_year = $('input[name="birth_year"]', step_coords).first().val();
        var b_month = $('select[name="birth_month"]', step_coords)
          .first()
          .val();
        var b_day = $('input[name="birth_day"]', step_coords).first().val();

        if (b_year.length > 0 && b_month.length > 0 && b_day.length > 0) {
          if (!isValidDate(b_day, b_month, b_year)) {
            $('input[name="birth_day"]', step_coords)
              .first()
              .removeClass("is-valid");
            $('input[name="birth_day"]', step_coords)
              .first()
              .addClass("is-invalid");
          }
        }
      }

      if (tunnel_checkClientInfoCompleted()) tunnel_changeStep(true);
    });

    $("select", step_coords).on("change", function () {
      var name = $(this).prop("name");
      var value = $(this).val();
      var valid = true;
      switch (name) {
        default:
          if (value.length < 1) valid = false;
          break;
      }

      if (valid) {
        $(this).removeClass("is-invalid");
        $(this).addClass("is-valid");
      } else {
        $(this).removeClass("is-valid");
        $(this).addClass("is-invalid");
      }

      if (tunnel_checkClientInfoCompleted()) tunnel_changeStep(true);
    });

    /** STEP - Payment */
    var step_payment = $('.step[data-stepcode="payment"]', tunnel).first();

    $('input[name="paymentMethod"]', step_payment).on("input", function () {
      var _type = $(this).data("payment-type");

      if (_type == "Payment Card") {
        $(".payment-info-type-card", step_payment).show();
      } else {
        $(".payment-info-type-card", step_payment).hide();
      }
    });

    // Quote button
    $("#submitQuoteBtn", tunnel).on("click", function () {
      submitTunnelQuote();
    });

    // CVV modal
    // $('.about-cvv', tunnel).on('click', function() {
    // 	$('#tunnelCvvModal').modal();
    // });
  }
);
$(function () {
  setTimeout(function () {
    tunnel_toggleError(tunnel_checkError());
    tunnel_initClearfix();
    tunnel_initStay();
    tunnel_initSteplist();
    tunnel_initSteps();
    tunnel_initSidebarInfo();

    tunnel_getSupplements();
    tunnel_updateSidebarPricingDetails();

    tunel_getChannels();
    tunnel_showPaymentMethods();

    if (_get("isquote")) {
      $("#quoteStuff").first().css("display", "block");
    }

    loadQuote();

    setTimeout(function () {
      tunnel_loaded(true);
    }, 500);
  }, 100);
});

const stayData = tunnel_getStayData();
const staySupplements = tunnel_getSupplementsData();
const stayPrice = tunnel_getStayPrice();
const paymentMethods = tunnel_getPaymentMethods();

function tunnel_getLanguage() {
  var lang = $("#tunnel").data("lang") ?? "fr";
  if (lang.length == 0) lang = "fr";

  return lang;
}

function tunnel_toggleError(show = false) {
  const tunnel = $("#tunnel");
  var error = $("#tunnelError", tunnel);

  if (show) {
    error.show();
  } else {
    error.hide();
  }
}

function tunnel_checkError() {
  var error = false;
  if (_get("token").length == 0) error = true;
  if ($.isEmptyObject(stayData)) error = true;

  return error;
}

function tunnel_toggleSidebar() {
  const tunnel = $("#tunnel");
  var sidebar = $(".tunnel-sidebar", tunnel);
  var button = $(".sidebar-button", tunnel).first();
  sidebar.toggleClass("open");

  if (sidebar.hasClass("open")) {
    $("i", button).first().removeClass("fa-list");
    $("i", button).first().addClass("fa-times");
  } else {
    $("i", button).first().removeClass("fa-times");
    $("i", button).first().addClass("fa-list");
  }
}

Number.prototype.pad = function (size) {
  var s = String(this);
  while (s.length < (size || 2)) {
    s = "0" + s;
  }
  return s;
};

function _get(param, defaultValue = "") {
  var vars = {};
  var parts = window.location.href.replace(
    /[?&]+([^=&]+)=([^&]*)/gi,
    function (m, key, value) {
      vars[key] = value;
    }
  );

  var urlparam = defaultValue;
  if (window.location.href.indexOf(param) > -1) {
    urlparam = vars[param];
  }
  return urlparam;
}

function nl2br(str, is_xhtml) {
  if (typeof str === "undefined" || str === null) return "";
  var breakTag = is_xhtml || typeof is_xhtml === "undefined" ? "<br/>" : "<br>";
  return (str + "").replace(
    /([^>\r\n]?)(\r\n|\n\r|\r|\n)/g,
    "$1" + breakTag + "$2"
  );
}

function tunnel_loading(loading = false) {
  const tunnel = $("#tunnel");
  var div = $(".tunnel-loading", tunnel).first();

  if (loading) {
    div.show();
  } else {
    div.fadeOut(200);
  }
}

function tunnel_loaded(loaded = false) {
  const tunnel = $("#tunnel");
  var div = $(".tunnel-loading", tunnel).first();

  if (loaded) {
    div.addClass("loaded");
  } else {
    div.removeClass("loaded");
  }
}

/**
 *
 *	Sidebar toggle function
 *
 */
function tunnel_toggleSidebar() {
  const tunnel = $("#tunnel");
  var sidebar = $(".tunnel-sidebar", tunnel);
  var button = $(".sidebar-button", tunnel).first();
  sidebar.toggleClass("open");

  if (sidebar.hasClass("open")) {
    $("i", button).first().removeClass("fa-list");
    $("i", button).first().addClass("fa-times");
  } else {
    $("i", button).first().removeClass("fa-times");
    $("i", button).first().addClass("fa-list");
  }
}

/**
 *
 *	Adjust clearfixes
 *
 */
function tunnel_initClearfix() {
  $("#tunnel .clearfix").each(function () {
    $(this).height($(this).prev().outerHeight());
  });
}

/**
 *
 *	Init stay
 *
 */
function tunnel_initStay() {
  const tunnel = $("#tunnel");
  const tunnelData = $("#tunnelStayData", tunnel);
  if ($.isEmptyObject(stayData)) return false;

  tunnelData.data("centre", stayData.idSite);
  tunnelData.data("begin", stayData.idStay.beginDate);
  tunnelData.data("end", stayData.idStay.endDate);
  tunnelData.data("personmin", stayData.personmin);
  tunnelData.data("personmax", stayData.personmax);
}

/**
 *
 *	Init sidebar info
 *
 */
function tunnel_initSidebarInfo() {
  const tunnel = $("#tunnel");
  var sidebar = $(".tunnel-sidebar", tunnel).first();
  var info = $(".info", sidebar).first();
  var data = stayData;
  if ($.isEmptyObject(data)) return false;

  // image
  if (typeof data.image == "undefined") {
    $(".image", info).first().hide();
    //$('.image', info).first().prop('src', 'https://www.domainelaborde.com/assets/img/_galeries/hebergements/tente-nature/01.jpg');
  } else {
    $(".image", info).first().prop("src", data.image);
  }

  // name
  $(".name", info).first().text(data.libCateg);

  // begin
  var b = new Date(data.idStay.beginDate);
  b.setHours(b.getHours() + 1);
  var b_day = b.getDate().pad(2);
  var b_month = (b.getMonth() + 1).pad(2);
  $("#begin_date", info)
    .first()
    .text(b_day + "/" + b_month);

  // end
  var e = new Date(data.idStay.endDate);
  e.setHours(e.getHours() + 1);
  var e_day = e.getDate().pad(2);
  var e_month = (e.getMonth() + 1).pad(2);
  var e_year = e.getFullYear().pad(4);
  $("#end_date", info)
    .first()
    .text(e_day + "/" + e_month + "/" + e_year);
}

/**
 *
 *	Init steplist
 *
 */
function tunnel_initSteplist() {
  const tunnel = $("#tunnel");
  $("#tunnel-steps .step", tunnel).each(function (i) {
    i++;
    $(this).data("step", i);
    $(this).hide();
  });

  $(".steplist ul > li", tunnel).each(function (i) {
    i++;
    $(this).removeClass("active");
    $(this).data("step", i);
  });

  $("#tunnel-steps .step", tunnel).show();
  $(".steplist ul > li", tunnel).first().addClass("active");
}

/**
 *
 *	Init steps
 *
 */
function tunnel_initSteps() {
  const tunnel = $("#tunnel");
  var steps = $("#tunnel-steps .step", tunnel)
    .each(function (i) {
      ++i;
      $(this).attr("data-step", i);
      $(this).data("step", i);
      $(this).hide();
    })
    .first()
    .show();

  // STEP - options
  // insurance price
  var step_options = $('.step[data-stepcode="options"]', tunnel).first();
  const stayPrice = tunnel_getStayPrice(true);
  $(".cancelInsurancePrice", step_options)
    .first()
    .text(tunnel_getInsuranceAmount(stayPrice));
}

/**
 *
 *	Get stay data
 *
 */
function tunnel_getStayData() {
  var result = "";
  $.ajax({
    method: "GET",
    url: assetsUrl + "tunnel/ajax/stay.php",
    data: {
      lang: tunnel_getLanguage(),
      token: _get("token"),
    },
    async: false,
    success: function (data) {
      result = data;
    },
  });

  try {
    result = JSON.parse(result);
  } catch (e) {
    result = new Object();
  }

  return result;
}

/**
 *
 *	Get supplements data
 *
 */
function tunnel_getSupplementsData() {
  var lang = tunnel_getLanguage();

  var result = "";
  $.ajax({
    method: "GET",
    url: assetsUrl + "tunnel/ajax/supplements.php",
    data: { lang: lang, centre: 6647, token: _get("token") },
    async: false,
    success: function (data) {
      result = data;
    },
  });

  try {
    result = JSON.parse(result);
  } catch (e) {
    result = new Object();
  }

  return result;
}

/**
 *
 *	Get channels data
 *
 */
function tunnel_getChannelsData() {
  var lang = tunnel_getLanguage();

  var result = "";
  $.ajax({
    method: "GET",
    url: assetsUrl + "tunnel/ajax/channels.php",
    data: { lang: lang, centre: 6647 },
    async: false,
    success: function (data) {
      result = data;
    },
  });

  try {
    result = JSON.parse(result);
  } catch (e) {
    result = new Object();
  }

  return result;
}

/**
 *
 *	Get payment methods
 *
 */
function tunnel_getPaymentMethods() {
  var result = "";
  $.ajax({
    method: "GET",
    url: assetsUrl + "tunnel/ajax/paymentMethods.php",
    data: {
      lang: tunnel_getLanguage(),
      centre: 6647,
    },
    async: false,
    success: function (data) {
      result = data;
    },
  });

  try {
    result = JSON.parse(result);
  } catch (e) {
    result = new Object();
  }

  return result;
}

/**
 *
 *	Change step
 *
 */
function tunnel_changeStep(next = true) {
  $("body").data("changestep", "true");
  setTimeout(function () {
    $("body").data("changestep", "false");
  }, 1000);

  const tunnel = $("#tunnel");
  var step;
  var currentStep = 0;
  var stepsAmount = $("#tunnel-steps .step", tunnel).length;
  $("#tunnel-steps .step", tunnel).each(function () {
    if ($(this).is(":visible")) {
      step = $(this);
      currentStep = $(this).data("step");
    }
  });

  var newStep = currentStep;
  if (next) newStep++;
  else newStep--;

  if (step.data("stepcode") == "options" && next == true) {
    if (!$("input#acceptcgv", step).is(":checked")) {
      $("input#acceptcgv", step).addClass("is-invalid");
      return false;
    }
  }

  if (step.data("stepcode") == "coordonnees" && next == true) {
    if (tunnel_checkClientInfo() == false) {
      return false;
    }
  }

  if (step.data("stepcode") == "payment" && next == true) {
    tunnel_buildOrder();
    return true;
  }

  if (currentStep == 0) return false;
  if (newStep == 0) return false;
  if (newStep > stepsAmount) return false;

  $('#tunnel-steps .step[data-step="' + currentStep + '"')
    .first()
    .fadeOut(200);
  $('#tunnel-steps .step[data-step="' + newStep + '"')
    .first()
    .delay(200)
    .fadeIn(200);

  $(".steplist li", tunnel).each(function (i) {
    i++;
    $(this).removeClass("active");
    if (i == newStep) $(this).addClass("active");
  });

  $("html, body").animate({ scrollTop: 0 }, "slow");

  return true;
}

/**
 *
 *	Go to step
 *
 */
function tunnel_goStep(stepId = 1) {
  $("body").data("changestep", "true");
  setTimeout(function () {
    $("body").data("changestep", "false");
  }, 1000);

  const tunnel = $("#tunnel");
  var step;
  var currentStep = 0;
  var stepsAmount = $("#tunnel-steps .step", tunnel).length;
  $("#tunnel-steps .step", tunnel).each(function () {
    if ($(this).is(":visible")) {
      step = $(this);
      currentStep = $(this).data("step");
    }
  });

  if (step.data("stepcode") == "options" && stepId > currentStep) {
    if (!$("input#acceptcgv", step).is(":checked")) {
      $("input#acceptcgv", step).addClass("is-invalid");
      return false;
    }
  }

  if (step.data("stepcode") == "options" && stepId > currentStep + 1) {
    if (tunnel_checkClientInfo() == false) {
      return false;
    }
  }

  if (step.data("stepcode") == "coordonnees" && stepId > currentStep) {
    if (tunnel_checkClientInfo() == false) {
      return false;
    }
  }

  $("#tunnel-steps .step", tunnel).each(function (i) {
    i++;
    $(this).fadeOut(200);
  });
  $('#tunnel-steps .step[data-step="' + stepId + '"]', tunnel)
    .first()
    .delay(200)
    .fadeIn(200);
  $(".steplist li", tunnel).each(function (i) {
    i++;
    $(this).removeClass("active");
    if (i == stepId) $(this).addClass("active");
  });
  return true;
}

/**
 *
 *	Get supplements
 *
 */
function tunnel_getSupplements() {
  var data = tunnel_getSupplementsData();
  var data = tunnel_getStayUnitPrice();
  data = data.supplementUnitPrice;

  // Filter supplements to remove options 101 & 106
  data = data.filter((supplement) => ![101, 106].includes(supplement.idSupp));

  const tunnel = $("#tunnel");
  var step = $('.step[data-stepcode="options"]', tunnel).first();
  var clones = $(".clones", step);

  for (var i in data) {
    var type;
    switch (data[i].type) {
      case "person":
        type = "person";
        break;

      case "vehicle":
        type = "vehicle";
        break;

      default:
        type = "other";
        break;
    }

    var parent = $(".parent-supplements.supplements-" + type, step);
    var object = $('[data-clone="supplement"]', clones)
      .clone(true)
      .appendTo(parent);

    // Content data
    $("label .name", object).first().text(stripHtml(data[i].name));
    $("label .price", object).first().text(data[i].unitPrice);
    $(object).data("price", data[i].unitPrice);

    // Hide price if it is 0
    if (parseFloat(data[i].unitPrice) == 0) {
      $("label .price", object).first().hide();
    }

    // Options
    var select = $("select", object).first();
    var maxvalue = data[i].maxValue;

    // Manual maxvalue for some supplements
    if (data[i].idSupp == 115) maxvalue = 1;
    if (data[i].idSupp == 112) maxvalue = 1;
    if (data[i].idSupp == 131) maxvalue = 1;

    for (var j = 0; j <= maxvalue; j++) {
      if (data[i].idSupp == 1 && j == 0) continue;

      var option = $('[data-clone="option"]', clones)
        .clone(true)
        .appendTo(select);
      option.data("type", data[i].type);
      option.attr("value", j);
      option.text(j);

      if (data[i].idSupp == 1 && j == 1) {
        option.attr("selected", true);
      }
    }

    // Select data
    $(select).data("supplement-id", data[i].idSupp);
    $(select).prop("name", "supplement[" + data[i].idSupp + "]");
    $(select).prop("id", "tunnel_supplement_" + data[i].idSupp);
    $(select).prop("data-supplement-id", data[i].idSupp);
    $("label", object)
      .first()
      .prop("for", "tunnel_supplement_" + data[i].idSupp);

    // Phrases personnalisées pour certains suppléments
    var customCaption = {};
    switch (data[i].idSupp) {
      case 112:
      case 115:
        customCaption = {
          fr: "Merci de préciser votre choix dans l'espace commentaires ci-dessous.",
          en: "Please specify your choice in the comments section below.",
          de: "Bitte geben Sie Ihre Wahl im Kommentarbereich unten an.",
          nl: "Geef uw keuze aan in het commentaarveld hieronder.",
        };
        break;
    }

    var lang = tunnel_getLanguage();
    if (typeof customCaption[lang] !== "undefined") {
      //console.log('Custom caption:', customCaption);
      //var formattedCaption = '<p data-caption-for="' + data[i].idSupp + '">' + customCaption[lang] + '</p>';
      var formattedCaption = "<p>" + customCaption[lang] + "</p>";
      var cc = $(formattedCaption).insertAfter(object);
      $(cc).addClass("isCaptionFor_" + data[i].idSupp);
      $(cc).hide();

      console.log($(cc).data());
    }

    //console.log('By ID:', $('#tunnel_supplement_' + data[i].idSupp));

    //console.log($(select));
  }
}

/**
 *
 *	Get supplements
 *
 */
function tunel_getChannels() {
  var data = tunnel_getChannelsData();

  const tunnel = $("#tunnel");
  var step = $('.step[data-stepcode="coordonnees"]', tunnel).first();
  var clones = $(".clones", step);

  for (var i in data) {
    var parent = $(".parent-channels", step);
    var object = $('[data-clone="option"]', clones)
      .clone(true)
      .appendTo(parent);

    // Content data
    $(object).first().text(stripHtml(data[i].name));
    $(object).first().val(data[i].idChannel);
  }
}

/**
 *
 *	Get warranty
 *
 */
function tunnel_getWarranty() {
  const tunnel = $("#tunnel");
  var data = tunnel_getStayData();

  var stay = tunnel_getStayData();
  var lang = tunnel_getLanguage();
  var id1 = stay.idStay.idProduct.id1;
  var idProduct = stay.idStay.idProduct.idProduct;

  $.get(
    "tunnel/ajax/supplements.php",
    {
      lang: lang,
      centre: 6647,
      id1: id1,
      idProduct: idProduct,
    },
    function (data) {
      var data = JSON.parse(data);

      const tunnel = $("#tunnel");
      var step = $('.step[data-stepcode="options"]', tunnel).first();
      var parent = $(".parent-supplements", step);
      var clones = $(".clones", step);

      for (var i in data) {
        var object = $('[data-clone="supplement"]', clones)
          .clone(true)
          .appendTo(parent);

        // Content data
        $("label .name", object).first().text(data[i].name);
        $("label .price", object).first().text(data[i].unitPrice);
        $(object).data("price", data[i].unitPrice);

        // Options
        var select = $("select", object).first();
        for (var j = 0; j <= data[i].maxValue; j++) {
          var option = $('[data-clone="option"]', clones)
            .clone(true)
            .appendTo(select);
          option.data("type", data[i].type);
          option.attr("value", j);
          option.text(j);
        }
      }
    }
  );
}

/**
 *
 *	Get total supplements price
 *
 */
function tunnel_getTotalSupplementsPrice() {
  const tunnel = $("#tunnel");
  var step = $('.step[data-stepcode="options"]', tunnel).first();

  var total = 0;
  $(".parent-supplements .form-group", step).each(function () {
    var amount = $("select", this).first().val();
    var price = $(this).data("price");
    total += price * amount;
  });

  total = Math.round((total + Number.EPSILON) * 100) / 100;
  total = total.toFixed(2);

  return total;
}

/**
 *
 *	Get baseprice
 *
 */
function tunnel_getBasePrice() {
  var data = stayData;
  if ($.isEmptyObject(data)) return "0.00";

  var dryPrice = data.dryPrice;
  var total = dryPrice;

  if (data.promotion) {
    var promoPrice = data.promoInfo.totalAmount;
    total = dryPrice - promoPrice;
  }

  total = Math.round((total + Number.EPSILON) * 100) / 100;
  total = total.toFixed(2);

  return total;
}

function tunnel_getPromotionAmount() {
  var data = stayData;
  if ($.isEmptyObject(data)) return false;

  if (data.promotion) {
    var total = data.promoInfo.totalAmount;
    total = Math.round((total + Number.EPSILON) * 100) / 100;
    total = total.toFixed(2);
    return total;
  } else {
    return false;
  }
}

function tunnel_getInsuranceAmount(stayPrice) {
  var data = stayPrice;
  if ($.isEmptyObject(data)) return "0.00";
  var total = data.cancelInsurance;
  total = Math.round((total + Number.EPSILON) * 100) / 100;
  total = total.toFixed(2);
  return total;
}

function tunnel_getFeesAmount(stayPrice) {
  var data = stayPrice;
  if ($.isEmptyObject(data)) return "0.00";
  var total = data.expenseReservation;
  total = Math.round((total + Number.EPSILON) * 100) / 100;
  total = total.toFixed(2);
  return total;
}

function tunnel_getFinalPrice(stayPrice, insurance = false) {
  var data = stayPrice;
  if ($.isEmptyObject(data)) return "0.00";
  var total = data.price;
  //if(!insurance) total -= data.cancelInsurance;
  total = Math.round((total + Number.EPSILON) * 100) / 100;
  total = total.toFixed(2);
  return total;
}

function tunnel_getDepositAmount(stayPrice) {
  var data = stayPrice;
  if ($.isEmptyObject(data)) return "0.00";
  var total = data.deposit;
  total = Math.round((total + Number.EPSILON) * 100) / 100;
  total = total.toFixed(2);
  return total;
}

function tunnel_getBalanceAmount(stayPrice, insurance = false) {
  var finalPrice = tunnel_getFinalPrice(stayPrice, insurance);
  var depositAmount = tunnel_getDepositAmount(stayPrice);
  var total = finalPrice - depositAmount;
  total = Math.round((total + Number.EPSILON) * 100) / 100;
  total = total.toFixed(2);
  return total;
}

/**
 *
 *	Update sidebar pricing details
 *
 */
function tunnel_updateSidebarPricingDetails(
  all = true,
  options = false,
  insurance = false
) {
  tunnel_loading(true);

  const tunnel = $("#tunnel");
  var sidebar = $(".tunnel-sidebar", tunnel).first();
  var clones = $(".clones", sidebar);

  var data = stayData;
  if ($.isEmptyObject(data)) {
    tunnel_loading(false);
    return false;
  }

  // people amount
  var people_amount = $("#people_amount", sidebar);
  $(people_amount).first().text(tunnel_getPeopleAmount());

  const stayPrice = tunnel_getStayPrice(false);

  var orderline = stayPrice.orderLine;
  var parent = $(".parent-orderline", sidebar);
  parent.html("");

  // Price greater than 0
  for (var i in orderline) {
    var _price = orderline[i].price;
    var _checkprice = parseFloat(_price);
    if (_checkprice <= 0) continue;

    var object = $('[data-clone="orderline"]', clones)
      .clone(true)
      .appendTo(parent);

    $(".name", object)
      .first()
      .html(orderline[i].designation.replaceAll("<br/>", ""));

    _price = Math.round((_price + Number.EPSILON) * 100) / 100;
    _price = _price.toFixed(2);
    $(".price", object).first().text(_price);

    if (orderline[i].price < 0) {
      object.addClass("pale");
    }
  }

  // Price lower than 0 (like promotions)
  for (var i in orderline) {
    var _price = orderline[i].price;
    var _checkprice = parseFloat(_price);
    if (_checkprice >= 0) continue;

    var object = $('[data-clone="orderline"]', clones)
      .clone(true)
      .appendTo(parent);

    $(".name", object)
      .first()
      .html(orderline[i].designation.replaceAll("<br/>", ""));

    _price = Math.round((_price + Number.EPSILON) * 100) / 100;
    _price = _price.toFixed(2);
    $(".price", object).first().text(_price);

    if (orderline[i].price < 0) {
      object.addClass("pale");
    }
  }

  // total
  var sejour_total = $("#sejour_total", sidebar);
  $(sejour_total).text(tunnel_getFinalPrice(stayPrice, cancelInsurance));

  // deposit
  var sejour_deposit = $("#sejour_deposit", sidebar);
  $(sejour_deposit).text(tunnel_getDepositAmount(stayPrice));

  // balance
  var sejour_balance = $("#sejour_balance", sidebar);
  $(sejour_balance).text(tunnel_getBalanceAmount(stayPrice, cancelInsurance));

  tunnel_loading(false);
}

/**
 *
 *	Get unit price data
 *
 */
function tunnel_getStayUnitPrice(insurance = true) {
  const tunnel = $("#tunnel");
  var result = "";
  var lang = tunnel_getLanguage();
  var centre = 6647;

  var data = stayData;
  if ($.isEmptyObject(data)) return false;

  var request = new Object();

  if (insurance) request.cancelInsurance = true;
  if (!insurance)
    request.cancelInsurance = $("input#cancelInsurance", tunnel)
      .first()
      .is(":checked");
  request.idStay = data.idStay;
  request.language = tunnel_getLanguage();
  request.nbPers = tunnel_getPeopleAmount();

  $.ajax({
    method: "GET",
    url: assetsUrl + "tunnel/ajax/unitprice.php",
    data: {
      lang: lang,
      centre: centre,
      data: JSON.stringify(request),
    },
    async: false,
    success: function (data) {
      result = data;
    },
  });

  return JSON.parse(result);
}

/**
 *
 *	Get price data
 *
 */
function tunnel_getStayPrice(insurance = true) {
  const tunnel = $("#tunnel");
  var step = $('.step[data-stepcode="options"]', tunnel).first();
  var result = "";
  var lang = tunnel_getLanguage();
  var centre = 6647;

  var data = stayData;
  if ($.isEmptyObject(data)) return false;

  var request = new Object();

  if (insurance) request.cancelInsurance = true;
  if (!insurance)
    request.cancelInsurance = $("input#cancelInsurance", tunnel)
      .first()
      .is(":checked");
  request.idStay = data.idStay;
  request.language = tunnel_getLanguage();
  request.supplement = new Object();

  var supplements = staySupplements;

  $(".parent-supplements select", step).each(function (i) {
    var supplement = new Object();
    var idSupp = $(this).data("supplementId");
    var value = $(this).val();

    supplement.idSupp = idSupp;
    supplement.number = value;
    request.supplement[i] = supplement;
  });

  $.ajax({
    method: "GET",
    url: assetsUrl + "tunnel/ajax/price.php",
    data: {
      lang: lang,
      centre: centre,
      data: JSON.stringify(request),
    },
    async: false,
    success: function (data) {
      result = data;
    },
  });

  return JSON.parse(result);
}

/**
 *
 *	Get people amount
 *
 */
var step_options = $('.step[data-stepcode="options"]', tunnel).first();
function tunnel_getPeopleAmount() {
  const tunnel = $("#tunnel");
  var step_options = $('.step[data-stepcode="options"]', tunnel).first();
  if ($.isEmptyObject(stayData)) return 0;
  var personmax = stayData.personmax;

  var total = 0;
  $(".supplements-person .form-group", step_options).each(function () {
    var amount = parseInt($("select", this).first().val());
    if (isNaN(amount)) amount = 0;
    total += amount;
  });

  return total;
}

function tunnel_updateFriendsForm() {
  const tunnel = $("#tunnel");
  var step_coords = $('.step[data-stepcode="coordonnees"]', tunnel).first();

  var amount = tunnel_getPeopleAmount();
  --amount;

  var clones = $(".clones", step_coords);
  var parent = $(".tunnel-friends .friends-container", step_coords);
  parent.html("");

  for (var i = 1; i <= amount; i++) {
    var object = $('[data-clone="friend"]', clones)
      .clone(true)
      .appendTo(parent);

    // Count
    $(".friend-count", object).first().text(i);

    // Firstname
    $(".friend-firstname label", object)
      .first()
      .prop("for", "firstname_" + i);
    $(".friend-firstname input", object)
      .first()
      .prop("id", "firstname_" + i);

    // Lastname
    $(".friend-lastname label", object)
      .first()
      .prop("for", "lastname_" + i);
    $(".friend-lastname input", object)
      .first()
      .prop("id", "lastname_" + i);

    // Birth day
    $(".friend-birthday label", object)
      .first()
      .prop("for", "birth_day_" + i);
    $(".friend-birthday input", object)
      .first()
      .prop("id", "birth_day_" + i);

    // Birth month
    $(".friend-birthmonth label", object)
      .first()
      .prop("for", "birth_month_" + i);
    $(".friend-birthmonth select", object)
      .first()
      .prop("id", "birth_month_" + i);

    // Birth year
    $(".friend-birthyear label", object)
      .first()
      .prop("for", "birth_year_" + i);
    $(".friend-birthyear input", object)
      .first()
      .prop("id", "birth_year_" + i);
  }

  if (amount <= 0) {
    $(".tunnel-friends").hide();
  } else {
    $(".tunnel-friends").show();
  }
}

/**
 *
 *	Check fields step coords
 *
 */
function tunnel_checkClientInfo() {
  const tunnel = $("#tunnel");
  var step_coords = $('.step[data-stepcode="coordonnees"]', tunnel).first();

  var valid = true;
  $("input, select, textarea", step_coords).each(function () {
    if ($(this).parents(".clones").length > 0) return;
    if ($(this).is(":required") && !$(this).hasClass("is-valid")) {
      valid = false;
      $(this).addClass("is-invalid");
    }
  });

  return valid;
}

function tunnel_checkClientInfoCompleted() {
  const tunnel = $("#tunnel");
  var step_coords = $('.step[data-stepcode="coordonnees"]', tunnel).first();
  var form_coords = $("form", step_coords);

  var valid = true;
  $("input, select, textarea", form_coords).each(function () {
    if (!$(this).hasClass("is-valid")) {
      valid = false;
    }
  });

  return valid;
}

function tunnel_formatPaymentMethods() {
  const tunnel = $("#tunnel");
  var methods = new Object();

  for (var i in paymentMethods) {
    if (paymentMethods[i].forDeposit == false) continue;
  }
}

function beta_buildCustomer() {
  const tunnel = $("#tunnel");
  var step_options = $('.step[data-stepcode="options"]', tunnel).first();
  var step_coords = $('.step[data-stepcode="coordonnees"]', tunnel).first();
  var step_payment = $('.step[data-stepcode="payment"]', tunnel).first();

  // language
  var language = tunnel_getLanguage();

  // comment
  var comment = $('input[name="comment"]', tunnel).first().val();

  // cancel insurance
  do {
    var cancel = $("input#cancelInsurance", tunnel).first().is(":checked");
    var cancelAmount = stayPrice.cancelInsurance;
    if (!cancel) cancelAmount = 0;
  } while (0);

  // format customer birthday
  do {
    var birth_year = parseInt(
      $('input[name="birth_year"]', step_coords).first().val()
    );
    var birth_month = parseInt(
      $('select[name="birth_month"]', step_coords).first().val()
    );
    var birth_day = parseInt(
      $('input[name="birth_day"]', step_coords).first().val()
    );
    if (isNaN(birth_year)) birth_year = 0;
    if (isNaN(birth_month)) birth_month = 0;
    if (isNaN(birth_day)) birth_day = 0;
    birth_year = birth_year.pad(4);
    birth_month = birth_month.pad(2);
    birth_day = birth_day.pad(2);
    var customer_birthday =
      birth_year + "-" + birth_month + "-" + birth_day + "T00:00:00";
  } while (0);

  // build customer
  var customer = {
    civility: $('select[name="civility"]', step_coords).first().val(),
    lastname: $('input[name="lastname"]', step_coords).first().val(),
    firstname: $('input[name="firstname"]', step_coords).first().val(),
    birthday: customer_birthday,
    address: $('input[name="address"]', step_coords).first().val(),
    zipCode: $('input[name="zipcode"]', step_coords).first().val(),
    city: $('input[name="city"]', step_coords).first().val(),
    country: $('select[name="country"]', step_coords).first().val(),
    email: $('input[name="email"]', step_coords).first().val(),
    phone: $('input[name="phone"]', step_coords).first().val(),
  };

  if ($('select[name="channel"]', step_coords).first().val().length) {
    customer.channel = $('select[name="channel"]', step_coords).first().val();
  }

  // build customer friends
  if ($(".tunnel-friends .friends-container").first().html().length) {
    customer.friends = new Object();
    $(".tunnel-friends .friends-container .friend").each(function (i) {
      // format friend birthday
      do {
        var birth_year = parseInt(
          $('input[name="birth_year"]', this).first().val()
        );
        var birth_month = parseInt(
          $('select[name="birth_month"]', this).first().val()
        );
        var birth_day = parseInt(
          $('input[name="birth_day"]', this).first().val()
        );
        if (isNaN(birth_year)) birth_year = 0;
        if (isNaN(birth_month)) birth_month = 0;
        if (isNaN(birth_day)) birth_day = 0;
        birth_year = birth_year.pad(4);
        birth_month = birth_month.pad(2);
        birth_day = birth_day.pad(2);
        var friend_birthday =
          birth_year + "-" + birth_month + "-" + birth_day + "T00:00:00";
      } while (0);

      var friend = {
        firstname: $('input[name="firstname"]', this).first().val(),
        lastname: $('input[name="lastname"]', this).first().val(),
        birthday: friend_birthday,
      };

      customer.friends[i] = friend;
    });
  }

  return customer;
}

function tunnel_buildOrder(debug = false) {
  const tunnel = $("#tunnel");
  var step_options = $('.step[data-stepcode="options"]', tunnel).first();
  var step_coords = $('.step[data-stepcode="coordonnees"]', tunnel).first();
  var step_payment = $('.step[data-stepcode="payment"]', tunnel).first();
  var form_coords = $("form", step_coords).first();

  // language
  var language = tunnel_getLanguage();

  // comment
  var comment = $('[name="comment"]', tunnel).first().val();

  // cancel insurance
  do {
    var cancel = $("input#cancelInsurance", tunnel).first().is(":checked");
    var cancelAmount = stayPrice.cancelInsurance;
    if (!cancel) cancelAmount = 0;
  } while (0);

  // format customer birthday
  do {
    var birth_year = parseInt(
      $('input[name="birth_year"]', form_coords).first().val()
    );
    var birth_month = parseInt(
      $('select[name="birth_month"]', form_coords).first().val()
    );
    var birth_day = parseInt(
      $('input[name="birth_day"]', form_coords).first().val()
    );
    if (isNaN(birth_year)) birth_year = 0;
    if (isNaN(birth_month)) birth_month = 0;
    if (isNaN(birth_day)) birth_day = 0;
    birth_year = birth_year.pad(4);
    birth_month = birth_month.pad(2);
    birth_day = birth_day.pad(2);
    var customer_birthday =
      birth_year + "-" + birth_month + "-" + birth_day + "T00:00:00";
  } while (0);

  // build customer
  var customer = {
    civility: $('select[name="civility"]', form_coords).first().val(),
    lastname: $('input[name="lastname"]', form_coords).first().val(),
    firstname: $('input[name="firstname"]', form_coords).first().val(),
    birthday: customer_birthday,
    address: $('input[name="address"]', form_coords).first().val(),
    zipCode: $('input[name="zipcode"]', form_coords).first().val(),
    city: $('input[name="city"]', form_coords).first().val(),
    country: $('select[name="country"]', form_coords).first().val(),
    email: $('input[name="email"]', form_coords).first().val(),
    phone: $('input[name="phone"]', form_coords).first().val(),
  };

  if ($('select[name="channel"]', form_coords).first().val().length) {
    customer.channel = $('select[name="channel"]', form_coords).first().val();
  }

  // build customer friends
  if ($(".tunnel-friends .friends-container").first().html().length) {
    customer.friends = new Object();
    $(".tunnel-friends .friends-container .friend").each(function (i) {
      // format friend birthday
      do {
        var birth_year = parseInt(
          $('input[name="birth_year"]', this).first().val()
        );
        var birth_month = parseInt(
          $('select[name="birth_month"]', this).first().val()
        );
        var birth_day = parseInt(
          $('input[name="birth_day"]', this).first().val()
        );
        if (isNaN(birth_year)) birth_year = 0;
        if (isNaN(birth_month)) birth_month = 0;
        if (isNaN(birth_day)) birth_day = 0;
        birth_year = birth_year.pad(4);
        birth_month = birth_month.pad(2);
        birth_day = birth_day.pad(2);
        var friend_birthday =
          birth_year + "-" + birth_month + "-" + birth_day + "T00:00:00";
      } while (0);

      var friend = {
        firstname: $('input[name="firstname"]', this).first().val(),
        lastname: $('input[name="lastname"]', this).first().val(),
        birthday: friend_birthday,
      };

      customer.friends[i] = friend;
    });
  }

  // idPaymentType
  do {
    var idPaymentType = new Object();
    $('.parent-payment-methods input[name="paymentMethod"]', step_payment).each(
      function () {
        if ($(this).is(":checked")) {
          idPaymentType = {
            id1: $(this).data("payment-id1"),
            idPaymentType: $(this).data("payment-method-id"),
          };
        }
      }
    );
  } while (0);

  // format payment info
  do {
    var paymentType = "";
    var directBill = "";
    $('.parent-payment-methods input[name="paymentMethod"]', step_payment).each(
      function () {
        if ($(this).is(":checked")) {
          paymentType = $(this).data("paymentType");
          if (paymentType !== "Payment Card") {
            directBill = $(this).data("paymentMethodId");
          }
        }
      }
    );

    if (paymentType == "Payment Card") {
      var cardNumber = $('input[name="card_number"]', step_payment)
        .first()
        .val();
      cardNumber = cardNumber.replace(/\D/g, "");

      var _expire = $('input[name="card_expire"]', step_payment).first().val();
      _expire = _expire.split("/");

      var _expireYear = parseInt("20" + _expire[1]);
      var _expireMonth = parseInt(_expire[0]);

      var expireDate = new Date(
        Date.UTC(_expireYear, _expireMonth - 1, 2, 0, 0, 0)
      );
      expireDate = expireDate.toISOString();

      var seriesCode = $('input[name="card_cvv"]', step_payment).first().val();
      if (seriesCode == "") seriesCode == "000";

      var holderName = customer.firstname + " " + customer.lastname;

      var payment = {
        paymentCardType: {
          cardNumber: cardNumber,
          cardType: "MC",
          expireDate: expireDate,
          seriesCode: seriesCode,
        },
        holderName: holderName,
      };
    } else {
      var holderName = customer.firstname + " " + customer.lastname;
      var payment = {
        directBill: directBill,
        holderName: holderName,
      };
    }
  } while (0);

  // supplements
  do {
    var supplements = new Object();
    $(".parent-supplements select", step_options).each(function (i) {
      var supplement = new Object();
      var idSupp = $(this).data("supplementId");
      var value = $(this).val();

      value = parseFloat(value);
      if (value == 0) return;

      supplement.idSupp = idSupp;
      supplement.number = value;
      supplements[i] = supplement;
    });
  } while (0);

  // pricing
  var stayPriceAlt = tunnel_getStayPrice(false);

  //console.log('StayData:', stayData);

  // build order
  // still need to add Thelis account info in the PHP function
  var order = {
    comment: comment,
    customer: customer,
    deposit: tunnel_getDepositAmount(stayPriceAlt),
    expenseReservation: stayPrice.expenseReservation,
    idPaymentType: idPaymentType,
    idStay: stayData.idStay,
    cancelEnable: cancel,
    cancelInsurance: cancelAmount,
    language: language,
    payment: payment,
    price: tunnel_getFinalPrice(stayPriceAlt, cancel),
    supplement: supplements,
  };

  if (debug) {
    return order;
  }

  var result = "";
  $.ajax({
    method: "GET",
    url: assetsUrl + "tunnel/ajax/order.php",
    data: { lang: language, centre: 6647, data: JSON.stringify(order) },
    async: false,
    success: function (data) {
      result = data;
    },
  });

  try {
    result = JSON.parse(result);
    var url = {
      fr: "https://www.domainelaborde.com/fr/merci",
      en: "https://www.domainelaborde.com/en/thankyou",
      de: "https://www.domainelaborde.com/de/danke",
      nl: "https://www.domainelaborde.com/nl/dankje",
    };
    window.location.href =
      url[tunnel_getLanguage()] + "?order=" + result.idOrder;
  } catch (e) {
    //result = new Object();
    result = result;
  }

  return result;
}

function daysInMonth(m, y) {
  switch (m) {
    case 1:
      return (y % 4 == 0 && y % 100) || y % 400 == 0 ? 29 : 28;
    case 8:
    case 3:
    case 5:
    case 10:
      return 30;
    default:
      return 31;
  }
}

/**
 * Check if a date is valid
 * @link https://stackoverflow.com/a/1433119/1293256
 * @param  {[type]}  d The day
 * @param  {[type]}  m The month
 * @param  {[type]}  y The year
 * @return {Boolean}   Returns true if valid
 */
var isValidDate = function (d, m, y) {
  m = parseInt(m, 10) - 1;
  return m >= 0 && m < 12 && d > 0 && d <= daysInMonth(m, y);
};

function isValidEmail(email) {
  return /^[^\s@]+@[^\s@]+\.[^\s@]+$/.test(email);
}

/**
 *
 *	Show payment methods
 *
 */
function tunnel_showPaymentMethods() {
  var data = paymentMethods;

  const tunnel = $("#tunnel");
  var step = $('.step[data-stepcode="payment"]', tunnel).first();
  var clones = $(".clones", step);

  var payments = new Object();
  var paymentTypes = ["Payment Card", "Direct Bill"];
  var a = 0;
  var b = 0;
  var c = 0;

  // payment card
  do {
    var checkType = paymentTypes[a];
    var paymentCardAdded = false;
    for (var i in data) {
      var payment = new Object();
      var _type = data[i].otaPaymentType;
      var _name = data[i].name;

      if (_type !== checkType) continue;

      if (data[i].forDeposit == false) continue;
      if (data[i].idPaymentType.idPaymentType == 1) continue;

      if (_type == "Payment Card") {
        if (paymentCardAdded) continue;

        payment.name = _name;
        payment.data = data[i];
        payments[b] = payment;
        b++;

        paymentCardAdded = true;
        continue;
      }

      payment.name = _name;
      payment.data = data[i];
      payments[b] = payment;
      b++;
    }

    a++;
  } while (a <= paymentTypes.length);

  for (var i in payments) {
    var parent = $(".parent-payment-methods", step);
    var object = $('[data-clone="paymentMethod"]', clones)
      .clone(true)
      .appendTo(parent);

    // Content data
    $("label .name", object).first().html(payments[i].name);

    // Input data
    var input = $("input", object).first();
    input.val(payments[i].data.idPaymentType.idPaymentType);
    input.data("payment-type", payments[i].data.otaPaymentType);
    input.data("payment-id1", payments[i].data.idPaymentType.id1);
    input.data(
      "payment-method-id",
      payments[i].data.idPaymentType.idPaymentType
    );
    input.prop(
      "id",
      "payment_method_" + payments[i].data.idPaymentType.idPaymentType
    );
    $("label", object)
      .first()
      .prop(
        "for",
        "payment_method_" + payments[i].data.idPaymentType.idPaymentType
      );
  }

  $(".payment-info-type-card", step).hide();

  return payments;
}

$.getScript(
  assetsUrl + "tunnel/assets/scripts/jquery.inputmask.min.js",
  function () {
    $(":input").inputmask();
  }
);

const getTunnelQuote = () => {
  const tunnel = $("#tunnel");
  const stepOptions = $(".step[data-stepcode='options']", tunnel).first();

  // cancel insurance
  const hasCancelInsurance = $("input#cancelInsurance", tunnel)
    .first()
    .is(":checked");
  const cancelInsurance = hasCancelInsurance ? stayPrice.cancelInsurance : 0;

  // supplements
  const supplements = [];
  $(".parent-supplements select", stepOptions).each(function () {
    var idSupp = $(this).data("supplementId");
    var value = $(this).val();

    value = parseFloat(value);
    if (value == 0) return;

    const label = $("label .name", $(this).parents().first()).first().text();
    const supplement = {
      idSupp,
      value,
      label,
    };

    supplements.push(supplement);
  });

  const link = {
    base: `${window.location.origin}${window.location.pathname}`,
    token: _get("token"),
  };

  return { supplements, cancelInsurance, link };
};

const getBase64Quote = () => {
  const quote = getTunnelQuote();
  const stringQuote = JSON.stringify(quote);
  return btoa(stringQuote);
};

const submitTunnelQuote = async () => {
  const quoteApiUrl = "https://laborde-quote-api.herokuapp.com/";
  const quote = getBase64Quote();
  const token = _get("token");
  const email = prompt("Your email");

  try {
    const response = $.post(`${quoteApiUrl}submit`, { quote, token, email });

    return response.data;
  } catch (e) {
    return e;
  }

  return { quote, token, email };
};

const loadQuote = () => {
  try {
    const quoteData = _get("quote");
    if (!quoteData.length) return;

    const quote = JSON.parse(atob(quoteData.replaceAll("%3D", "=")));
    if (!quote) return;

    const tunnel = $("#tunnel");
    const stepOptions = $(".step[data-stepcode='options']", tunnel).first();

    if (quote.supplements) {
      quote.supplements.map((supplement) => {
        console.log("Supplement:", supplement);
        const target = $(
          `#tunnel_supplement_${supplement.idSupp}`,
          stepOptions
        ).first();

        if (target) {
          $(target).val(supplement.value);
        }
      });
    }

    if (quote.cancelInsurance && quote.cancelInsurance > 0) {
      $("input#cancelInsurance", tunnel).first().attr("checked", true);
    }

    tunnel_updateSidebarPricingDetails();

    return quote;
  } catch (e) {
    return e.message;
  }
};
